Bug 465466 - /usr/include/drm/drm_mode.h is not installed
/usr/include/drm/drm_mode.h is not installed
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-03 09:44 EDT by Adam Tkac
Modified: 2013-04-30 19:41 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-14 15:30:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Adam Tkac 2008-10-03 09:44:12 EDT
Description of problem:
/usr/include/drm/drm_mode.h is not installed. This file is needed by /usr/include/drm/drm.h. X server and Xvnc are not compilable without drm_mode.h

Version-Release number of selected component (if applicable):
$ rpm -q kernel-devel
kernel-devel-2.6.27-0.377.rc8.git1.fc10.x86_64

How reproducible:
always

Steps to Reproduce:
1. try build xserver or vnc
  
Actual results:
In file included from /usr/include/GL/internal/dri_interface.h:45,
                 from glxdriswrast.c:39:
/usr/include/drm/drm.h:586:22: error: drm_mode.h: No such file or directory

Expected results:
successful build

Additional info:
# yum whatprovides \*drm_mode\.h
kernel-devel-2.6.27-0.377.rc8.git1.fc10.x86_64 : Development package for building kernel modules to
                                               : match the kernel
Matched from:
Filename    : /usr/src/kernels/2.6.27-0.377.rc8.git1.fc10.x86_64/include/drm/drm_mode.h

Note You need to log in before you can comment on or make changes to this bug.